searchNodes=[{"doc":"Handles decoding and managing Momento authentication credentials.","ref":"Momento.Auth.CredentialProvider.html","title":"Momento.Auth.CredentialProvider","type":"module"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#auth_token/1","title":"Momento.Auth.CredentialProvider.auth_token/1","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#cache_endpoint/1","title":"Momento.Auth.CredentialProvider.cache_endpoint/1","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#control_endpoint/1","title":"Momento.Auth.CredentialProvider.control_endpoint/1","type":"function"},{"doc":"Fetches the given environment variable and parses it into a credential. Returns the credential or raises an exception. Supply control_endpoint or cache_endpoint in the options to override them. Examples iex&gt; Momento.Auth.CredentialProvider . from_env_var! ( &quot;MOMENTO_AUTH_TOKEN&quot; ) % Momento.Auth.CredentialProvider { }","ref":"Momento.Auth.CredentialProvider.html#from_env_var!/2","title":"Momento.Auth.CredentialProvider.from_env_var!/2","type":"function"},{"doc":"Parses the given string into a credential. Returns the credential or raises an exception. Supply control_endpoint or cache_endpoint in the options to override them. Examples iex&gt; valid_token = &quot;valid_token&quot; # This should be a valid Momento auth token. iex&gt; Momento.Auth.Credential . from_string! ( valid_token ) % Momento.Auth.Credential { }","ref":"Momento.Auth.CredentialProvider.html#from_string!/2","title":"Momento.Auth.CredentialProvider.from_string!/2","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#t:t/0","title":"Momento.Auth.CredentialProvider.t/0","type":"opaque"},{"doc":"Client to perform operations against a Momento cache. A client is created by supplying a configuration, a credential provider, and a default time-to-live: config = Momento.Configurations.Laptop . latest ( ) credential_provider = Momento.Auth.CredentialProvider . from_env_var! ( &quot;MOMENTO_AUTH_TOKEN&quot; ) default_ttl_seconds = 60.0 client = CacheClient . create! ( config , credential_provider , default_ttl_seconds ) The resulting struct maintains the connection and can be given to any of the CacheClient functions to make calls to Momento: iex&gt; Momento.CacheClient . set ( client , &quot;cache&quot; , &quot;key&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.Set.Ok { } }","ref":"Momento.CacheClient.html","title":"Momento.CacheClient","type":"module"},{"doc":"Create a new CacheClient instance. Parameters config : A %Momento.Config.Configuration{} containing all tunable client settings. credential_provider : A %Momento.Auth.CredentialProvider{} representing the credentials to connect to the server. default_ttl_seconds : A number representing the time in seconds that a value added to the cache will persist. CacheClient methods that write to a cache can override this value. Raises An error if the client cannot connect to momento. Returns {:ok, %Momento.CacheClient{}} on a successful client creation. {:error, any()} if an error occurs.","ref":"Momento.CacheClient.html#create/3","title":"Momento.CacheClient.create/3","type":"function"},{"doc":"Create a new CacheClient instance. Parameters config : A %Momento.Config.Configuration{} containing all tunable client settings. credential_provider : A %Momento.Auth.CredentialProvider{} representing the credentials to connect to the server. default_ttl_seconds : A number representing the time in seconds that a value added to the cache will persist. CacheClient methods that write to a cache can override this value. Raises An error if the client cannot connect to momento. Returns A %Momento.CacheClient{} struct representing the connected client.","ref":"Momento.CacheClient.html#create!/3","title":"Momento.CacheClient.create!/3","type":"function"},{"doc":"Create a cache if it does not exist. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache to create. Must be a string. Returns {:ok, %Momento.Responses.CreateCache.Ok{}} on a successful create. :already_exists if a cache with the specified name already exists. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . create_cache ( client , &quot;cache&quot; ) { :ok , % Momento.Responses.CreateCache.Ok { } } iex&gt; Momento.CacheClient . create_cache ( client , &quot;cache&quot; ) :already_exists","ref":"Momento.CacheClient.html#create_cache/2","title":"Momento.CacheClient.create_cache/2","type":"function"},{"doc":"Delete a value from the cache. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache to delete the value in. Must be a string. key : The key to delete. Must be a binary. Returns {:ok, %Momento.Responses.Delete.Ok{}} on a successful deletion. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . set ( client , &quot;cache&quot; , &quot;key&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.Set.Ok { } } iex&gt; Momento.CacheClient . delete ( client , &quot;cache&quot; , &quot;key&quot; ) { :ok , % Momento.Responses.Delete.Ok { } }","ref":"Momento.CacheClient.html#delete/3","title":"Momento.CacheClient.delete/3","type":"function"},{"doc":"Delete a cache and all items stored in it. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache to delete. Must be a string. Returns {:ok, %Momento.Responses.DeleteCache.Ok{}} on a successful delete. {:error, error} if an error occurs, or when deleting a cache that doesn't exist. Examples iex&gt; Momento.CacheClient . delete_cache ( client , &quot;cache&quot; ) { :ok , % Momento.Responses.DeleteCache.Ok { } }","ref":"Momento.CacheClient.html#delete_cache/2","title":"Momento.CacheClient.delete_cache/2","type":"function"},{"doc":"Get a value from a cache. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache to fetch the value from. Must be a string. key : The key of the value to fetch. Must be a binary. Returns {:ok, %Momento.Responses.Get.Hit{}} if the key exists. It contains: value: binary() :miss if the key does not exist. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . set ( client , &quot;cache&quot; , &quot;key&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.Set.Ok { } } iex&gt; Momento.CacheClient . get ( client , &quot;cache&quot; , &quot;key&quot; ) { :ok , % Momento.Responses.Get.Hit { value : &quot;value&quot; } } iex&gt; Momento.CacheClient . get ( client , &quot;cache&quot; , &quot;non-existent-key&quot; ) :miss","ref":"Momento.CacheClient.html#get/3","title":"Momento.CacheClient.get/3","type":"function"},{"doc":"List all caches. Parameters client : A %Momento.CacheClient{} representing the connected client. Returns {:ok, %Momento.Responses.ListCaches.Ok{caches: caches}} on a successful listing. It contains: caches: [%Momento.Responses.CacheInfo{}] {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . list_caches ( client ) { :ok , % Momento.Responses.ListCaches.Ok { caches : [ % Momento.Responses.CacheInfo { name : &quot;cache&quot; } ] } }","ref":"Momento.CacheClient.html#list_caches/1","title":"Momento.CacheClient.list_caches/1","type":"function"},{"doc":"Set a value in a cache. Replaces the existing value if one is present. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache to store the value in. Must be a string. key : The key to store the value under. Must be a binary. value : The value to be stored. Must be a binary. Options ttl_seconds : The time-to-live of the cache entry in seconds. Must be positive. Defaults to the client TTL. Returns {:ok, %Momento.Responses.Set.Ok{}} on a successful set. {:error, error} tuple if an error occurs. Examples iex&gt; Momento.CacheClient . set ( client , &quot;cache&quot; , &quot;key&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.Set.Ok { } } iex&gt; Momento.CacheClient . set ( client , &quot;cache&quot; , &quot;key&quot; , &quot;value&quot; , ttl_seconds : 600.0 ) { :ok , % Momento.Responses.Set.Ok { } }","ref":"Momento.CacheClient.html#set/5","title":"Momento.CacheClient.set/5","type":"function"},{"doc":"Fetch the values and scores from a sorted set by rank. The returned values are ordered by their scores. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to fetch the values from. Must be a string. Options start_rank : The inclusive 0-indexed rank of the first value. If not provided, the fetch starts from the beginning of the set. Must be an integer. end_rank : The exclusive 0-indexed rank of the last value. If not provided, the fetch goes to the end of the set. Must be an integer. sort_order : The order to sort the set before trimming by rank and fetching. Defaults to ascending. Must be :asc or :desc. Returns {:ok, %Momento.Responses.SortedSet.Fetch.Hit{}} if the sorted set exists. It contains: value: [{binary(), float()}] :miss if the sorted set does not exist. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , ...&gt; [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , sort_order : :desc ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val3&quot; , 3.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val1&quot; , 1.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , start_rank : 1 , end_rank : 2 ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val2&quot; , 2.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , start_rank : 5 , end_rank : 10 ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_rank ( client , &quot;cache&quot; , &quot;empty-sorted-set&quot; ) :miss","ref":"Momento.CacheClient.html#sorted_set_fetch_by_rank/4","title":"Momento.CacheClient.sorted_set_fetch_by_rank/4","type":"function"},{"doc":"Fetch the values and scores from a sorted set by score. The returned values are ordered by their scores. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to fetch the values from. Must be a string. Options min_score : The inclusive minimum score for a fetched value. If not provided, the fetch starts from the beginning of the set. Must be a number. end_rank : The inclusive maximum score for a fetched value. If not provided, the fetch goes to the end of the set. Must be a number. offset : The number of elements to skip before returning the first element. Must be an integer. Defaults to 0. count : The maximum number of elements to return. Must be an integer. Defaults to all elements. sort_order : The order to sort the set before trimming by rank and fetching. Defaults to ascending. Must be :asc or :desc. Returns {:ok, %Momento.Responses.SortedSet.Fetch.Hit{}} if the sorted set exists. It contains: value: [{binary(), float()}] :miss if the sorted set does not exist. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , ...&gt; [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , sort_order : :desc ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val3&quot; , 3.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val1&quot; , 1.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , min_score : 1.1 , max_score : 3.0 ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , offset : 1 , count : 1 ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ { &quot;val2&quot; , 2.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , min_score : 99.9 ) { :ok , % Momento.Responses.SortedSet.Fetch.Hit { value : [ ] } } iex&gt; Momento.CacheClient . sorted_set_fetch_by_score ( client , &quot;cache&quot; , &quot;empty-sorted-set&quot; ) :miss","ref":"Momento.CacheClient.html#sorted_set_fetch_by_score/4","title":"Momento.CacheClient.sorted_set_fetch_by_score/4","type":"function"},{"doc":"Get the rank of a value in a sorted set. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to get the rank from. Must be a string. value : The value to check the rank of. Must be a binary. Options sort_order : The order to sort the set before finding the rank of the value. Defaults to ascending. Must be :asc or :desc. Returns {:ok, %Momento.Responses.SortedSet.GetRank.Hit{}} if the value exists. It contains: rank: integer() :miss if the value does not exist. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , ...&gt; [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_get_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;val1&quot; ) { :ok , % Momento.Responses.SortedSet.GetRank.Hit { rank : 0 } } iex&gt; Momento.CacheClient . sorted_set_get_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;val1&quot; , sort_order : :desc ) { :ok , % Momento.Responses.SortedSet.GetRank.Hit { rank : 2 } } iex&gt; Momento.CacheClient . sorted_set_get_rank ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;non-existent-value&quot; ) :miss","ref":"Momento.CacheClient.html#sorted_set_get_rank/5","title":"Momento.CacheClient.sorted_set_get_rank/5","type":"function"},{"doc":"Get the score of a value in a sorted set. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to get the score from. Must be a string. value : The value to check the score of. Must be a binary. Returns {:ok, %Momento.Responses.SortedSet.GetScore.Hit{}} if the value exists. It contains: score: float() :miss if the value does not exist. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , ...&gt; [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_get_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;val1&quot; ) { :ok , % Momento.Responses.SortedSet.GetScore.Hit { score : 1.0 } } iex&gt; Momento.CacheClient . sorted_set_get_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;non-existent-value&quot; ) :miss","ref":"Momento.CacheClient.html#sorted_set_get_score/4","title":"Momento.CacheClient.sorted_set_get_score/4","type":"function"},{"doc":"Get the scores of the given values in a sorted set. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to get the score from. Must be a string. values : The value to check the score of. Must be a list of binaries. Returns {:ok, %Momento.Responses.SortedSet.GetScores.Hit{}} if the value exists. It contains: value: [{binary(), float() | nil}] :miss if the sorted set does not exist. {:error, error} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , ...&gt; [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } , { &quot;val3&quot; , 3.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_get_scores ( client , &quot;cache&quot; , &quot;sorted-set&quot; , [ &quot;val1&quot; , &quot;val2&quot; ] ) { :ok , % Momento.Responses.SortedSet.GetScores.Hit { value : [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } ] } } iex&gt; Momento.CacheClient . sorted_set_get_scores ( client , &quot;cache&quot; , &quot;sorted-set&quot; , [ &quot;non-existent-value&quot; ] ) { :ok , % Momento.Responses.SortedSet.GetScores.Hit { value : [ { &quot;non-existent-value&quot; , nil } ] } } iex&gt; Momento.CacheClient . sorted_set_get_scores ( client , &quot;cache&quot; , &quot;non-existent-set&quot; , [ &quot;val1&quot; ] ) :miss","ref":"Momento.CacheClient.html#sorted_set_get_scores/4","title":"Momento.CacheClient.sorted_set_get_scores/4","type":"function"},{"doc":"Increments the score of a value in a sorted set. Adds the value if it is not present. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to increment the value in. Must be a string. value : The value to be incremented. Must be a binary. amount : The amount to increment the value's score Must be a number. Options collection_ttl : The TTL for the sorted set in the cache. Defaults to the client TTL. Returns {:ok, %Momento.Responses.SortedSet.IncrementScore.Ok{}} on a successful increment. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_get_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; ) :miss iex&gt; Momento.CacheClient . sorted_set_increment_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; , 1.0 ) { :ok , % Momento.Responses.SortedSet.IncrementScore.Ok { score : 1.0 } } iex&gt; Momento.CacheClient . sorted_set_get_score ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.SortedSet.GetScore.Hit { score : 1.0 } }","ref":"Momento.CacheClient.html#sorted_set_increment_score/6","title":"Momento.CacheClient.sorted_set_increment_score/6","type":"function"},{"doc":"Add a value and score to a sorted set. Replaces the existing score if the value is already present. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to store the value in. Must be a string. value : The value to be stored. Must be a binary. score : The score of the value. Determines the value's position in the sorted set. Must be a number. Options collection_ttl : The TTL for the sorted set in the cache. Defaults to the client TTL. Returns {:ok, %Momento.Responses.SortedSet.PutElement.Ok{}} on a successful put. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_element ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; , 1.0 ) { :ok , % Momento.Responses.SortedSet.PutElement.Ok { } } iex&gt; ttl = Momento.Requests.CollectionTtl . of ( 60.0 ) % Momento.Requests.CollectionTtl { ttl_seconds : 60.0 , refresh_ttl : true } iex&gt; Momento.CacheClient . sorted_set_put_element ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; , 1.0 , collection_ttl : ttl ) { :ok , % Momento.Responses.SortedSet.PutElement.Ok { } } iex&gt; ttl = Momento.Requests.CollectionTtl . refresh_ttl_if_provided ( nil ) % Momento.Requests.CollectionTtl { ttl_seconds : nil , refresh_ttl : false } iex&gt; Momento.CacheClient . sorted_set_put_element ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; , 1.0 , collection_ttl : ttl ) { :ok , % Momento.Responses.SortedSet.PutElement.Ok { } }","ref":"Momento.CacheClient.html#sorted_set_put_element/6","title":"Momento.CacheClient.sorted_set_put_element/6","type":"function"},{"doc":"Add the given values and scores to a sorted set. Replaces the existing score for any value already present. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to store the value in. Must be a string. elements : The values and scores to be stored. Must be an enum of binary to number. Options collection_ttl : The TTL for the sorted set in the cache. Defaults to the client TTL. Returns {:ok, %Momento.Responses.SortedSet.PutElements.Ok{}} on a successful put. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , [ { &quot;val1&quot; , 1.0 } , { &quot;val2&quot; , 2.0 } ] ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , %{ &quot;val1&quot; =&gt; 1.0 , &quot;val2&quot; =&gt; 2.0 } ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } } iex&gt; ttl = Momento.Requests.CollectionTtl . of ( 60.0 ) % Momento.Requests.CollectionTtl { ttl_seconds : 60.0 , refresh_ttl : true } iex&gt; Momento.CacheClient . sorted_set_put_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , [ { &quot;val1&quot; , 1.0 } ] , collection_ttl : ttl ) { :ok , % Momento.Responses.SortedSet.PutElements.Ok { } }","ref":"Momento.CacheClient.html#sorted_set_put_elements/5","title":"Momento.CacheClient.sorted_set_put_elements/5","type":"function"},{"doc":"Remove an element from a sorted set. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to remove the value from. Must be a string. value : The value to be removed. Must be a binary. Returns {:ok, %Momento.Responses.SortedSet.RemoveElement.Ok{}} on a successful put. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_remove_element ( client , &quot;cache&quot; , &quot;sorted-set&quot; , &quot;value&quot; ) { :ok , % Momento.Responses.SortedSet.RemoveElement.Ok { } }","ref":"Momento.CacheClient.html#sorted_set_remove_element/4","title":"Momento.CacheClient.sorted_set_remove_element/4","type":"function"},{"doc":"Remove multiple elements from a sorted set. Parameters client : A %Momento.CacheClient{} representing the connected client. cache_name : The name of the cache containing the sorted set. Must be a string. sorted_set_name : The name of the sorted set to remove the values from. Must be a string. values : The value to be removed. Must be a list of binaries. Returns {:ok, %Momento.Responses.SortedSet.RemoveElements.Ok{}} on a successful put. {:error, %Momento.Error{}} if an error occurs. Examples iex&gt; Momento.CacheClient . sorted_set_remove_elements ( client , &quot;cache&quot; , &quot;sorted-set&quot; , [ &quot;value1&quot; , &quot;value2&quot; ] ) { :ok , % Momento.Responses.SortedSet.RemoveElements.Ok { } }","ref":"Momento.CacheClient.html#sorted_set_remove_elements/4","title":"Momento.CacheClient.sorted_set_remove_elements/4","type":"function"},{"doc":"Contains all state necessary to connect to the Momento cache, including its configuration and connections. Functions that interact with a cache require it as the first argument.","ref":"Momento.CacheClient.html#t:t/0","title":"Momento.CacheClient.t/0","type":"opaque"},{"doc":"Configuration for Momento CacheClient","ref":"Momento.Config.Configuration.html","title":"Momento.Config.Configuration","type":"module"},{"doc":"","ref":"Momento.Config.Configuration.html#with_transport_strategy/2","title":"Momento.Config.Configuration.with_transport_strategy/2","type":"function"},{"doc":"","ref":"Momento.Config.Configuration.html#t:t/0","title":"Momento.Config.Configuration.t/0","type":"type"},{"doc":"Encapsulates gRPC configuration tunables.","ref":"Momento.Config.Transport.GrpcConfiguration.html","title":"Momento.Config.Transport.GrpcConfiguration","type":"module"},{"doc":"","ref":"Momento.Config.Transport.GrpcConfiguration.html#t:t/0","title":"Momento.Config.Transport.GrpcConfiguration.t/0","type":"opaque"},{"doc":"Configuration for the low-level Momento transport layer","ref":"Momento.Config.Transport.TransportStrategy.html","title":"Momento.Config.Transport.TransportStrategy","type":"module"},{"doc":"Copy constructor for overriding the gRPC configuration","ref":"Momento.Config.Transport.TransportStrategy.html#with_grpc_config/2","title":"Momento.Config.Transport.TransportStrategy.with_grpc_config/2","type":"function"},{"doc":"","ref":"Momento.Config.Transport.TransportStrategy.html#t:t/0","title":"Momento.Config.Transport.TransportStrategy.t/0","type":"opaque"},{"doc":"Prebuilt versions of Momento.Config.Configuration for different environments.","ref":"Momento.Configurations.html","title":"Momento.Configurations","type":"module"},{"doc":"","ref":"Momento.Configurations.InRegion.html","title":"Momento.Configurations.InRegion","type":"module"},{"doc":"","ref":"Momento.Configurations.InRegion.Default.html","title":"Momento.Configurations.InRegion.Default","type":"module"},{"doc":"","ref":"Momento.Configurations.InRegion.Default.html#latest/0","title":"Momento.Configurations.InRegion.Default.latest/0","type":"function"},{"doc":"","ref":"Momento.Configurations.Laptop.html","title":"Momento.Configurations.Laptop","type":"module"},{"doc":"","ref":"Momento.Configurations.Laptop.html#latest/0","title":"Momento.Configurations.Laptop.latest/0","type":"function"},{"doc":"","ref":"Momento.Error.html","title":"Momento.Error","type":"module"},{"doc":"","ref":"Momento.Error.html#convert/1","title":"Momento.Error.convert/1","type":"function"},{"doc":"","ref":"Momento.Error.html#invalid_argument/2","title":"Momento.Error.invalid_argument/2","type":"function"},{"doc":"","ref":"Momento.Error.html#t:t/0","title":"Momento.Error.t/0","type":"type"},{"doc":"","ref":"Momento.Error.Code.html","title":"Momento.Error.Code","type":"module"},{"doc":"","ref":"Momento.Error.Code.html#already_exists_error/0","title":"Momento.Error.Code.already_exists_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#authentication_error/0","title":"Momento.Error.Code.authentication_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#bad_request_error/0","title":"Momento.Error.Code.bad_request_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#cancelled_error/0","title":"Momento.Error.Code.cancelled_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#client_resource_exhausted/0","title":"Momento.Error.Code.client_resource_exhausted/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#internal_server_error/0","title":"Momento.Error.Code.internal_server_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#invalid_argument_error/0","title":"Momento.Error.Code.invalid_argument_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#limit_exceeded_error/0","title":"Momento.Error.Code.limit_exceeded_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#not_found_error/0","title":"Momento.Error.Code.not_found_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#permission_error/0","title":"Momento.Error.Code.permission_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#server_unavailable/0","title":"Momento.Error.Code.server_unavailable/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#timeout_error/0","title":"Momento.Error.Code.timeout_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#unknown/0","title":"Momento.Error.Code.unknown/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#unknown_service_error/0","title":"Momento.Error.Code.unknown_service_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#t:t/0","title":"Momento.Error.Code.t/0","type":"type"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html","title":"Momento.Requests.CollectionTtl","type":"module"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html#of/1","title":"Momento.Requests.CollectionTtl.of/1","type":"function"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html#t:t/0","title":"Momento.Requests.CollectionTtl.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CacheInfo.html","title":"Momento.Responses.CacheInfo","type":"module"},{"doc":"","ref":"Momento.Responses.CacheInfo.html#t:t/0","title":"Momento.Responses.CacheInfo.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CreateCache.html","title":"Momento.Responses.CreateCache","type":"module"},{"doc":"","ref":"Momento.Responses.CreateCache.html#t:t/0","title":"Momento.Responses.CreateCache.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CreateCache.Ok.html","title":"Momento.Responses.CreateCache.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.CreateCache.Ok.html#t:t/0","title":"Momento.Responses.CreateCache.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Delete.html","title":"Momento.Responses.Delete","type":"module"},{"doc":"","ref":"Momento.Responses.Delete.html#t:t/0","title":"Momento.Responses.Delete.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Delete.Ok.html","title":"Momento.Responses.Delete.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.Delete.Ok.html#t:t/0","title":"Momento.Responses.Delete.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.DeleteCache.html","title":"Momento.Responses.DeleteCache","type":"module"},{"doc":"","ref":"Momento.Responses.DeleteCache.html#t:t/0","title":"Momento.Responses.DeleteCache.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.DeleteCache.Ok.html","title":"Momento.Responses.DeleteCache.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.DeleteCache.Ok.html#t:t/0","title":"Momento.Responses.DeleteCache.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Get.html","title":"Momento.Responses.Get","type":"module"},{"doc":"","ref":"Momento.Responses.Get.html#t:t/0","title":"Momento.Responses.Get.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Get.Hit.html","title":"Momento.Responses.Get.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.Get.Hit.html#t:t/0","title":"Momento.Responses.Get.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.ListCaches.html","title":"Momento.Responses.ListCaches","type":"module"},{"doc":"","ref":"Momento.Responses.ListCaches.html#t:t/0","title":"Momento.Responses.ListCaches.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.ListCaches.Ok.html","title":"Momento.Responses.ListCaches.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.ListCaches.Ok.html#t:t/0","title":"Momento.Responses.ListCaches.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Set.html","title":"Momento.Responses.Set","type":"module"},{"doc":"","ref":"Momento.Responses.Set.html#t:t/0","title":"Momento.Responses.Set.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Set.Ok.html","title":"Momento.Responses.Set.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.Set.Ok.html#t:t/0","title":"Momento.Responses.Set.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.html","title":"Momento.Responses.SortedSet.Fetch","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.html#t:t/0","title":"Momento.Responses.SortedSet.Fetch.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.Hit.html","title":"Momento.Responses.SortedSet.Fetch.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.Fetch.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.html","title":"Momento.Responses.SortedSet.GetRank","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.html#t:t/0","title":"Momento.Responses.SortedSet.GetRank.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.Hit.html","title":"Momento.Responses.SortedSet.GetRank.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetRank.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.html","title":"Momento.Responses.SortedSet.GetScore","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.html#t:t/0","title":"Momento.Responses.SortedSet.GetScore.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.Hit.html","title":"Momento.Responses.SortedSet.GetScore.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetScore.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.html","title":"Momento.Responses.SortedSet.GetScores","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.html#t:t/0","title":"Momento.Responses.SortedSet.GetScores.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.Hit.html","title":"Momento.Responses.SortedSet.GetScores.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetScores.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.html","title":"Momento.Responses.SortedSet.IncrementScore","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.html#t:t/0","title":"Momento.Responses.SortedSet.IncrementScore.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.Ok.html","title":"Momento.Responses.SortedSet.IncrementScore.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.IncrementScore.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.html","title":"Momento.Responses.SortedSet.PutElement","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.html#t:t/0","title":"Momento.Responses.SortedSet.PutElement.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.Ok.html","title":"Momento.Responses.SortedSet.PutElement.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.PutElement.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.html","title":"Momento.Responses.SortedSet.PutElements","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.html#t:t/0","title":"Momento.Responses.SortedSet.PutElements.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.Ok.html","title":"Momento.Responses.SortedSet.PutElements.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.PutElements.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.html","title":"Momento.Responses.SortedSet.RemoveElement","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElement.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.Ok.html","title":"Momento.Responses.SortedSet.RemoveElement.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElement.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.html","title":"Momento.Responses.SortedSet.RemoveElements","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElements.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.Ok.html","title":"Momento.Responses.SortedSet.RemoveElements.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElements.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Validation.html","title":"Momento.Validation","type":"module"},{"doc":"","ref":"Momento.Validation.html#validate_cache_name/1","title":"Momento.Validation.validate_cache_name/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_sorted_set_name/1","title":"Momento.Validation.validate_sorted_set_name/1","type":"function"}]